import { Record } from 'immutable';

export default class Post extends Record({
  author: null,
  content: null,
  id: null,
  isPublic: false,
  scheduledPost: false,
  sendNotification: false,
  timestamp: null,
  title: null,
}) {};


Post.fromJS = (data = {}) => {
  return new Post({
    id: data._id,
    ...data,
  });
};
